curl --request GET \
--url https://external.nectarclimate.com/v2.2/interval/connection/{connection_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://external.nectarclimate.com/v2.2/interval/connection/{connection_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://external.nectarclimate.com/v2.2/interval/connection/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.nectarclimate.com/v2.2/interval/connection/{connection_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external.nectarclimate.com/v2.2/interval/connection/{connection_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external.nectarclimate.com/v2.2/interval/connection/{connection_id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.nectarclimate.com/v2.2/interval/connection/{connection_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"totalIntervals": 123,
"perPage": 123,
"totalPages": 123,
"currentPage": 123,
"hasNext": true,
"hasPrevious": true,
"intervals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"identifiers": [
{
"rawName": "<string>",
"value": "<string>",
"name": "<string>"
}
],
"account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"usage": "<string>",
"usageUnits": "Wh",
"updated": "2023-11-07T05:31:56Z",
"quality": "FINAL"
}
]
}{
"detail": "<string>",
"error": "<string>"
}Get Intervals by Connection (BETA)
Retrieve interval data associated with a specified utility connection. The data is paginated, with default of 100 entries per page. Users must have access to the connection to retrieve this data.
BETA: This endpoint is currently in BETA and is only available for Comed (60 min), AEP (15 min), Dominion (30 min), PPL (15 min), PSEG (30 min), and BGE (60 min) utilities.
curl --request GET \
--url https://external.nectarclimate.com/v2.2/interval/connection/{connection_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://external.nectarclimate.com/v2.2/interval/connection/{connection_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://external.nectarclimate.com/v2.2/interval/connection/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.nectarclimate.com/v2.2/interval/connection/{connection_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external.nectarclimate.com/v2.2/interval/connection/{connection_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external.nectarclimate.com/v2.2/interval/connection/{connection_id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.nectarclimate.com/v2.2/interval/connection/{connection_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"totalIntervals": 123,
"perPage": 123,
"totalPages": 123,
"currentPage": 123,
"hasNext": true,
"hasPrevious": true,
"intervals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"identifiers": [
{
"rawName": "<string>",
"value": "<string>",
"name": "<string>"
}
],
"account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"usage": "<string>",
"usageUnits": "Wh",
"updated": "2023-11-07T05:31:56Z",
"quality": "FINAL"
}
]
}{
"detail": "<string>",
"error": "<string>"
}Authorizations
Path Parameters
ID of the utility connection for which to retrieve interval data.
Query Parameters
Optional account UUID. If provided, only intervals associated with that account are returned.
('Optional. List of datasource types to filter by. If not provided, includes all types. Must be a sublist of "ELECTRICITY", "GAS", "WATER", "SEWER", "DISTRICT", "WASTE", "FUEL", "MISC", "REFRIGERANT", "SOLAR", "TELECOM"',)
ELECTRICITY- ElectricityGAS- GasWATER- WaterSEWER- SewerDISTRICT- DistrictWASTE- WasteFUEL- FuelMISC- MiscREFRIGERANT- RefrigerantSOLAR- SolarTELECOM- Telecom
ELECTRICITY, GAS, WATER, SEWER, DISTRICT, WASTE, FUEL, MISC, REFRIGERANT, SOLAR, TELECOM Optional end time for interval data in ISO 8601 format (e.g., 2024-01-31T23:59:59Z). If provided, filters for intervals ending on or before this timestamp.
Filter meters by identifier value. Searches across all identifiers.
1Page number for paginated results. Default is 1.
Optional start time for interval data in ISO 8601 format (e.g., 2024-01-01T00:00:00Z). If provided, filters for intervals starting on or after this timestamp.
Response
Serializer for paginated interval response.
Total number of intervals.
Number of entries per page.
Total number of pages.
Current page number.
Indicates if there is a next page.
Indicates if there is a previous page.
List of interval data entries.
Show child attributes
Show child attributes